"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findItemFromRenderMatrix = exports.findPathFromItem = void 0;
function findPathFromItem(result = [], parentId, renderMatrix) {
    if (renderMatrix.length === 0) {
        return result;
    }
    if (renderMatrix.length === 1) {
        return [parentId, ...result];
    }
    const currentParentItem = renderMatrix[renderMatrix.length - 1].find(parent => parent.uniqueId === parentId);
    const newRenderMatrix = renderMatrix.slice(0, -1);
    return findPathFromItem([currentParentItem.uniqueId, ...result], currentParentItem.parentUniqueId, newRenderMatrix);
}
exports.findPathFromItem = findPathFromItem;
function findItemFromRenderMatrix(renderMatrix, uniqueId) {
    for (let column = 0; column < renderMatrix.length; column++) {
        for (let row = 0; row < renderMatrix[column].length; row++) {
            const item = renderMatrix[column][row];
            if (item.uniqueId === uniqueId) {
                return { item, column };
            }
        }
    }
    return { item: undefined, column: undefined };
}
exports.findItemFromRenderMatrix = findItemFromRenderMatrix;
//# sourceMappingURL=helpers.js.map