"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("./helpers");
const simple_tree_1 = require("../mock-data/simple-tree");
const treeToRenderAdapter_1 = require("./treeToRenderAdapter");
describe('findPathFromItem', () => {
    it('converts it to render data', () => {
        const renderMatrix = treeToRenderAdapter_1.generateRenderData(simple_tree_1.simpleTree);
        const columnIndex = 3;
        const rowIndex = 4;
        const testItem = renderMatrix[columnIndex][rowIndex];
        const result = helpers_1.findPathFromItem([testItem.uniqueId], testItem.parentUniqueId, renderMatrix.slice(0, Math.max(columnIndex, 0)));
        expect(result).toMatchSnapshot();
    });
});
describe('findItemFromRenderMatrix', () => {
    it('converts it to render data', () => {
        const renderMatrix = treeToRenderAdapter_1.generateRenderData(simple_tree_1.simpleTree);
        const columnIndex = 3;
        const rowIndex = 4;
        const testItem = renderMatrix[columnIndex][rowIndex];
        const { item: resultItem } = helpers_1.findItemFromRenderMatrix(renderMatrix, testItem.uniqueId);
        expect(resultItem).toMatchObject(testItem);
    });
});
//# sourceMappingURL=helpers.spec.js.map