import { Dispatch } from 'react';
import { RenderItem, RenderMatrix, Tree } from '../types';
declare type State = {
    renderData: RenderMatrix<unknown>;
    activeItemIds: string[];
    hoveredItems: string[];
    collapsedItemIds: string[];
};
export declare const itemContext: import("react").Context<{
    state: State;
    dispatch: Dispatch<any>;
}>;
export declare const useItemContext: <T>(initialTree: Tree<T>, initialActiveItemIds: string[]) => any[];
export declare const useItemHighlightContext: <T>({ currentItem, }: {
    currentItem: RenderItem<T>;
}) => {
    isHighlighted: boolean;
    isActive: boolean;
};
export declare const useIsCollapsed: <T>({ currentItem, }: {
    currentItem: RenderItem<T>;
}) => boolean;
export {};
