"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRenderData = exports.generateRawRenderData = void 0;
function generateRawRenderData(generalTree, collapsedIds = [], depth = 0, verticalStartingPoint = 0, parentUniqueId = undefined, parentId = undefined, id = 0, treePath = [], result = [[]]) {
    var _a;
    let currentVerticalStartingPoint = verticalStartingPoint;
    let currentResult = result;
    let currentIterationId = id;
    const { children, data, id: currentItemUniqueId } = generalTree, rest = __rest(generalTree, ["children", "data", "id"]);
    const item = Object.assign(Object.assign({}, rest), { uniqueId: currentItemUniqueId, id: currentIterationId, parentUniqueId,
        parentId, y: currentVerticalStartingPoint, treePath,
        data });
    currentResult[depth] = ((_a = currentResult[depth]) === null || _a === void 0 ? void 0 : _a.length)
        ? [...currentResult[depth], item]
        : [item];
    if (children.length === 0 || collapsedIds.includes(currentItemUniqueId)) {
        return {
            verticalStartingPoint: currentVerticalStartingPoint + 1,
            newResult: currentResult,
            id: currentIterationId,
        };
    }
    for (let i = 0; i < children.length; i++) {
        const { newResult, verticalStartingPoint: resultingVerticalStartingPoint, id: resultId, } = generateRawRenderData(children[i], collapsedIds, depth + 1, currentVerticalStartingPoint, currentItemUniqueId, id, currentIterationId + 1, [...treePath, i], currentResult);
        currentIterationId = resultId;
        currentVerticalStartingPoint = resultingVerticalStartingPoint;
        currentResult = newResult;
    }
    return {
        verticalStartingPoint: currentVerticalStartingPoint,
        newResult: currentResult,
        id: currentIterationId,
    };
}
exports.generateRawRenderData = generateRawRenderData;
function generateRenderData(tree, collpasedItemIds) {
    const { newResult: renderDataRawUpdated } = generateRawRenderData(tree, collpasedItemIds);
    const [, ...renderMatrix] = renderDataRawUpdated;
    return renderMatrix;
}
exports.generateRenderData = generateRenderData;
//# sourceMappingURL=treeToRenderAdapter.js.map