import React, { ReactElement } from 'react';
export declare type Options = {
    width?: number;
    boxHeight?: number;
    canvasPadding?: number;
    spaceBetweenColumns?: number;
    spaceBetweenRows?: number;
    connectorColor?: string;
    connectorColorHighlight?: string;
    connectorColorActive?: string;
    connectorLineThickness?: number;
    roundHeader?: {
        isShown?: boolean;
        height?: number;
        marginBottom?: number;
        fontSize?: number;
        fontColor?: string;
        backgroundColor?: string;
        fontFamily?: string;
    };
    roundSeparatorWidth?: number;
    lineInfo?: {
        separation?: number;
        homeVisitorSpread?: number;
    };
    horizontalOffset?: number;
    wonBywalkOverText?: string;
    lostByNoShowText?: string;
};
export declare type ComputedOptions = Options & {
    rowHeight?: number;
    columnWidth?: number;
};
export declare type CommonTreeProps = {
    svgWrapper?: (props: {
        bracketWidth: number;
        bracketHeight: number;
        startAt: number[];
        children: ReactElement;
    }) => React.ReactElement;
    options?: {
        style: Options;
    };
};
export declare type RenderItem<T> = {
    id: number;
    uniqueId: string;
    parentId?: number;
    parentUniqueId: string;
    y: number;
    treePath: number[];
    data: T;
};
export declare type RenderMatrix<T> = RenderItem<T>[][];
export declare type Tree<T> = {
    id: string;
    data: T;
    children: Tree<T>[];
};
export declare type ItemComponentProps<T> = {
    item: T;
    isHighlighted: boolean;
    isActive: boolean;
    isCollapsed: boolean;
    connectorColor: string;
    computedStyles: ComputedOptions;
    onMouseEnter: () => void;
    onMouseLeave: () => void;
    toggleCollapse: () => void;
};
export declare type GeneralTreeProps<T> = CommonTreeProps & {
    itemComponent: (props: ItemComponentProps<T>) => JSX.Element;
    activeItemIds?: string[];
    currentRound?: string;
    tree: Tree<T>;
};
export declare type DebugItemDataType = {
    type?: number;
    id: number;
    disabled?: boolean;
    hidden?: boolean;
    scrollAxis?: number;
};
